POST
Upload a source map

Authorizations

X-API-KEY
string
header
required

Your Atatus API key. You can also send it as the api_key query parameter or, for POST/PUT requests, in the request body.

Path Parameters

projectId
string
required

A unique identifier of the project. See here to locate the Project ID.

Body

multipart/form-data
url
string
required

The full URL of the minified file. If the URL starts with http: or https:, it is stripped off.

Example:

"http://www.acme.com/js/main.min.js"

sourcemap
file
required

The contents of the source map, as a multipart file upload.

version
string

A string identifying which version of your code this source map is for. Only needed if the script filename (url) is the same across deployments. If you set a version here, set the same version in your Atatus snippet with atatus.setVersion('version_string_here'), and vice versa.

Example:

"1.0.0"

Response

Uploaded successfully